package com.phm.manage.service;

import com.phm.manage.domain.SoftwareConfig;

import java.util.List;

/**
 * 软件配置库信息Service接口
 *
 * @author phm
 * @date 2023-08-22
 */
public interface ISoftwareConfigService {
    /**
     * 查询软件配置库信息
     *
     * @param id 软件配置库信息主键
     * @return 软件配置库信息
     */
    public SoftwareConfig selectSoftwareConfigById(Long id);

    /**
     * 查询软件配置库信息列表
     *
     * @param softwareConfig 软件配置库信息
     * @return 软件配置库信息集合
     */
    public List<SoftwareConfig> selectSoftwareConfigList(SoftwareConfig softwareConfig);

    /**
     * 新增软件配置库信息
     *
     * @param softwareConfig 软件配置库信息
     * @return 结果
     */
    public int insertSoftwareConfig(SoftwareConfig softwareConfig);

    /**
     * 修改软件配置库信息
     *
     * @param softwareConfig 软件配置库信息
     * @return 结果
     */
    public int updateSoftwareConfig(SoftwareConfig softwareConfig);

    /**
     * 批量删除软件配置库信息
     *
     * @param ids 需要删除的软件配置库信息主键集合
     * @return 结果
     */
    public int deleteSoftwareConfigByIds(Long[] ids);

    /**
     * 删除软件配置库信息信息
     *
     * @param id 软件配置库信息主键
     * @return 结果
     */
    public int deleteSoftwareConfigById(Long id);
}
